#### PyKDE - Python Bindings for KDE

# class KParts.PartBase |
Table of contents
Modules
tdeparts Classes
All Classes

Module | tdeparts
Class | KParts.PartBase
Inherits | KXMLGUIClient

### methods

- PartBase ()

  returns a PartBase instance

- loadPlugins (parent, parentGUIClient, instance)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  parent | TQObject |
  parentGUIClient | KXMLGUIClient |
  instance | TDEInstance |

- partObject ()

  returns (TQObject)

- setInstance (instance)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  instance | TDEInstance |

- setInstance (instance, loadPlugins)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  instance | TDEInstance |
  loadPlugins | bool |

- setPartObject (object)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  object | TQObject |

- setPluginLoadingMode (loadingMode)

  Not Implemented